package com.xintong.visualinspection.service;

import java.util.List;
import java.util.Map;

import com.xintong.visualinspection.bean.CheckApply;

/**
 * 
 *
 * ConstantService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface CheckApplyService {
    public List<CheckApply> getList(CheckApply param);
    public CheckApply getById(Long id);
    public CheckApply getByTaskId(Long id);
    public void insert(CheckApply checkApply);
    public void update(CheckApply checkApply);
    public void delete(Long id);
    public List<CheckApply> getTopReasonList(Map<String,Object> param);
}
